//
//  LogLevel.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "LogLevel.h"

NSInteger const LogLevel_DEBUG = 100;
NSInteger const LogLevel_INFO = 200;
NSInteger const LogLevel_WARN = 300;
NSInteger const LogLevel_ERROR = 400;

@implementation LogLevel

+(NSString *)fromString:(NSInteger)level {
	
	NSString *levelStr = @"Unknown";
	
	if (level == LogLevel_DEBUG) {
		levelStr = @"DEBUG";
	}
	else if (level == LogLevel_INFO) {
		levelStr = @"INFO";
	}
	else if (level == LogLevel_WARN) {
		levelStr = @"WARN";
	}
	else if (level == LogLevel_ERROR) {
		levelStr = @"ERROR";
	}
	
	return levelStr;
}

@end
